Bug 833773 - add exclude directory feature
add exclude directory feature
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hardlink (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Zeleny
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 06:42 EDT by Dan Horák
Modified: 2015-02-18 08:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:44:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (6.38 KB, patch)
2013-04-23 10:39 EDT, Jan Zeleny
no flags Details | Diff

  None (edit)
Description Dan Horák 2012-06-20 06:42:12 EDT
Sometimes we need to run hardlink on /mnt/koji directory to save space by hardlinking files from the daily created repositories to the files under /mnt/koji/packages where all build rpms reside. This should be as simple as "hardlink /mnt/koji", but when /mnt/koji resides on a NetApp backed NFS storage  then there is also .snapshot directory containing internal NetApp backups of teh content and the command needs to be modified to "hardlink /mnt/koji/*". Other option would be to add an "exclude directory" feature to hardlink and "hardlink -x .snapshot /mnt/koji" would be equivalent to the previous command. I suppose there will be other scenarios where the exclude feature would be useful.
Comment 1 Fedora Admin XMLRPC Client 2013-03-13 10:25:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Jan Zeleny 2013-04-08 07:57:25 EDT
Please try following scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5225641

the option is -x, you can specify it multiple times. If you like the behavior, I will do this a regular build.
Comment 3 Jan Zeleny 2013-04-23 10:39:27 EDT
Created attachment 739034 [details]
proposed patch

Since the scratch build has expired, I'm attaching a patch with the requested functionality.
Comment 4 Fedora End Of Life 2013-07-03 19:23:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 22:02:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Marko Myllynen 2013-08-05 12:13:13 EDT
Jan, given that you already wrote a patch for this I think this might be worth fixing - care to spin a new test build, if Dan is unable to test I can test on his behalf?

Thanks.
Comment 7 Dan Horák 2013-08-05 12:19:59 EDT
Marko, please do the testing, thanks in advance.
Comment 8 Fedora End Of Life 2015-01-09 16:59:12 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:44:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.